Recordings
Trash
Recordings in a space that were moved to the trash.
GET
/
api
/
spaces
/
{space_id}
/
audio
/
trash
/
curl -X GET "https://api.aigenda.tech/api/spaces/1024/audio/trash/?limit=20&offset=0" \
-H "Authorization: Bearer <access>"
import requests
response = requests.get(
"https://api.aigenda.tech/api/spaces/1024/audio/trash/",
headers={"Authorization": "Bearer <access>"},
params={
"limit": 20,
"offset": 0,
},
timeout=30,
)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.aigenda.tech/api/spaces/1024/audio/trash/?limit=20&offset=0", {
method: "GET",
headers: { Authorization: "Bearer <access>" },
});
const data = await response.json();
console.log(data);
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": 51234,
"title": "Sales team standup.mp3",
"url": "https://storage.yandexcloud.net/aigenda/3f6c1e0a.mp3?X-Amz-Signature=…",
"created_at": "2026-10-17T12:30:00.481233+03:00",
"duration": 1837,
"size": 18874368,
"content_type": "audio/mpeg",
"space_id": 1024,
"is_active": false,
"is_favorite": false,
"is_uploaded": true,
"was_classified": true,
"result_is_ready": true
}
]
}
Path parameters
integer
required
Space ID.
Query parameters
integer
How many items per page.
integer
How many items to skip.
Response
integer
Total number of recordings in the trash.
object[]
Recordings, with the same fields as in Upload status.
curl -X GET "https://api.aigenda.tech/api/spaces/1024/audio/trash/?limit=20&offset=0" \
-H "Authorization: Bearer <access>"
import requests
response = requests.get(
"https://api.aigenda.tech/api/spaces/1024/audio/trash/",
headers={"Authorization": "Bearer <access>"},
params={
"limit": 20,
"offset": 0,
},
timeout=30,
)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.aigenda.tech/api/spaces/1024/audio/trash/?limit=20&offset=0", {
method: "GET",
headers: { Authorization: "Bearer <access>" },
});
const data = await response.json();
console.log(data);
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": 51234,
"title": "Sales team standup.mp3",
"url": "https://storage.yandexcloud.net/aigenda/3f6c1e0a.mp3?X-Amz-Signature=…",
"created_at": "2026-10-17T12:30:00.481233+03:00",
"duration": 1837,
"size": 18874368,
"content_type": "audio/mpeg",
"space_id": 1024,
"is_active": false,
"is_favorite": false,
"is_uploaded": true,
"was_classified": true,
"result_is_ready": true
}
]
}
Last modified on October 17, 2026
⌘I
curl -X GET "https://api.aigenda.tech/api/spaces/1024/audio/trash/?limit=20&offset=0" \
-H "Authorization: Bearer <access>"
import requests
response = requests.get(
"https://api.aigenda.tech/api/spaces/1024/audio/trash/",
headers={"Authorization": "Bearer <access>"},
params={
"limit": 20,
"offset": 0,
},
timeout=30,
)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.aigenda.tech/api/spaces/1024/audio/trash/?limit=20&offset=0", {
method: "GET",
headers: { Authorization: "Bearer <access>" },
});
const data = await response.json();
console.log(data);
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": 51234,
"title": "Sales team standup.mp3",
"url": "https://storage.yandexcloud.net/aigenda/3f6c1e0a.mp3?X-Amz-Signature=…",
"created_at": "2026-10-17T12:30:00.481233+03:00",
"duration": 1837,
"size": 18874368,
"content_type": "audio/mpeg",
"space_id": 1024,
"is_active": false,
"is_favorite": false,
"is_uploaded": true,
"was_classified": true,
"result_is_ready": true
}
]
}